@import "libs/shared/assets/src/global-style/variable";

nz-page-header{
  padding: 0;
}

:host {
  ::ng-deep {
    .ant-checkbox-disabled.ant-checkbox-checked {
      .ant-checkbox-inner {
        background-color: $bg-primary-default;
        border-color: $bg-primary-default !important;

        &::after {
          border-color: #f5f5f5;
        }
      }
    }
  }
}
.block-action-search {
  width: 15%;
  margin: auto;
  justify-content: center;
  display: flex;
  margin-top: 20px;
  .search-btn {
    padding: 2% auto 2% auto;
    background-color: $active-status-invisibile;
    font-weight: 700;
    border: none;
  }
}

.data-table {
  margin-top: 1%;

  .stt {
    text-align: center;
  }

  em {
    margin-left: 5%;
    font-size: 18px;
    cursor: pointer;
  }

  .text-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

.m-0 {
  margin: 0;
}

.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

::ng-deep {
  .ant-card-bordered {
    border: none;
    border-radius: 8px;
  }
}

.card-header {
  &__rangeDateTitle {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  &__rangeDate {
    width: 100%;
    margin-top: 4px;
    height: 42px;
    border-radius: 8px;
  }
}

.menu__item--btn {
  font-size: 24px;
  &:hover {
    cursor: pointer;
    color: $hover-color;
    border: 1px solid $input-border-color;
    border-radius: 2px;
  }
}

.btnListWrap {
  width: 150px;
  padding: 0;
}

.btnItem {
  padding: 0 20px;
}

div.menu__item {
  width: 100%;
  border-bottom: 1px solid $input-border-color;
  padding: 10px 0;
}

.iconClass {
  margin-right: 10px;
}

.search-container {
  display: flex;
  justify-content: flex-end;
}

.importbtn {
  padding-top: 4px;
  font-size: 20px;
}

